### Hierarchy

- SiteTreetableService

## Index

### Constructors

- constructor

### Properties

- siteBrowserService

### Methods

- extractDataFilter
- getAssetsUnderFolder
- getAssetsUnderSite

## Constructors

### constructor

- new SiteTreetableService(siteBrowserService: SiteBrowserService): SiteTreetableService

- - Defined in components/site-treetable/site-treetable.service.ts:10

  #### Parameters

  - ##### siteBrowserService: SiteBrowserService

  #### Returns SiteTreetableService

## Properties

### Private siteBrowserService

siteBrowserService: SiteBrowserService

- Defined in components/site-treetable/site-treetable.service.ts:14

## Methods

### Private extractDataFilter

- extractDataFilter(treeables: Treeable[]): TreeNode[]

- - Defined in components/site-treetable/site-treetable.service.ts:32

  #### Parameters

  - ##### treeables: Treeable[]

  #### Returns TreeNode[]

### getAssetsUnderFolder

- getAssetsUnderFolder(siteName: String, uri: string): Observable<TreeNode[]>

- - Defined in components/site-treetable/site-treetable.service.ts:26

  #### Parameters

  - ##### siteName: String

  - ##### uri: string

  #### Returns Observable<TreeNode[]>

### getAssetsUnderSite

- getAssetsUnderSite(siteName: String): Observable<TreeNode[]>

- - Defined in components/site-treetable/site-treetable.service.ts:20

  #### Parameters

  - ##### siteName: String

  #### Returns Observable<TreeNode[]>

Generated using TypeDoc